<div id="top"></div>

<form class="form" [formGroup]="newForm">
<div class="container">
    <h2>Detail Kelas</h2>
  
    <div class="container-content">
      <form class="form" [formGroup]="newForm">
      <table>
        <tr>
          <td>Tanggal</td>
          <td>:</td>
          <td>
            <mat-form-field>
                <input matInput [matDatepicker]="picker" [ngModel]="schedule?.training_date" formControlName="tanggal" readonly [disabled]=true>{{today | date : 'mediumDate' }}
                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker touchUi #picker></mat-datepicker>
            </mat-form-field>
          </td>
        </tr>
        <tr>
          <td>Ruang Kelas</td>
          <td>:</td>
          <td>
            <mat-form-field>
            <input matInput placeholder="Ruang Kelas" [ngModel]="schedule?.class_code" formControlName="classCode" readonly>
            </mat-form-field>
          </td>
        </tr>
        <tr>
          <td>Status</td>
          <td>:</td>
          <td>
            <mat-form-field>
              <mat-select placeholder="Pilih Status" [ngModel]="availability" formControlName="status">
                <mat-option *ngFor="let stat of listStatus" [value]="stat">{{stat}}</mat-option>
              </mat-select>
            </mat-form-field>
          </td>
        </tr>
        
        <tr *ngIf = "newForm.value.status == 'Occupied'">
            <td>Materi</td>
            <td>:</td>
            <td>
                <mat-form-field>
                    <mat-select placeholder="Pilih Materi" [ngModel]="schedule.material_code" formControlName="materi" (selectionChange)="selectedMateriChange($event.value)" [disabled]="flag">
                        <mat-option *ngFor="let materi of material" [value]="materi.code">
                            {{materi.name}}  
                        </mat-option>
                        </mat-select>
                </mat-form-field>
            </td>
        </tr>
        <tr *ngIf="newForm.value.materi != '' && newForm.value.status == 'Occupied'">
            <td>Trainer</td>
            <td>:</td>
            <td>
                <mat-form-field>
                    <mat-select placeholder="Pilih Trainer" [ngModel]="schedule.trainer_nip" formControlName="trainer" [disabled]="flag">
                        <mat-option *ngFor="let trainer of competency" [value]="trainer.trainer_nip">
                          {{trainer.trainer_nip}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
            </td>
        </tr>            
        
        <tr *ngIf="newForm.value.trainer != '' && newForm.value.status == 'Occupied'">
            <td>Program</td>
            <td>:</td>
            <td>
                <mat-form-field>
                    <mat-select placeholder="Pilih Program" [ngModel]="schedule.program_code" formControlName="program" (selectionChange)="changeTrainees($event)" [disabled]="flag">
                      <mat-option *ngFor="let prog of program" [value]="prog.code">
                        {{prog.code}}
                      </mat-option>
                    </mat-select>
                </mat-form-field>
            </td>
        </tr>
      </table>
      </form>
    </div>
  
    <div class="btn-area">
        <button mat-raised-button class="back-btn" (click)="rightFunction()" id="btnRight">
            <mat-icon>{{rightIcon}}</mat-icon>
        </button>
        <button mat-raised-button class="back-btn" (click)="leftFunction(newForm.value)" id="btnLeft">
            <mat-icon>{{leftIcon}}</mat-icon>
        </button>
      </div>
</div>
</form>